0 Replies Latest reply on Jun 21, 2017 11:27 PM by amandeeps59047773

    I am having trouble installing sqlite. How do I install it properly?

    amandeeps59047773 Level 1

      Error - Plugin error (you probably need to remove plugin files from your app): Fetching plugin "cordova-sqlite-storage@~2.0.4" via npm Installing "cordova-sqlite-storage" at "2.0.4" for android Error during processing of action! Attempting to revert... Failed to install 'cordova-sqlite-storage':CordovaError: Uh oh! "/tmp/gimlet/30682240/2671795/www_android/project/cordova/plugins/cordova-sqlite-storage/ node_modules/cordova-sqlite-storage-dependencies/libs/sqlite-connector.jar" not found! at copyFile (/tmp/gimlet/30682240/2671795/www_android/project/cordova/lib/pluginHandlers.js:219:36) at copyNewFile (/tmp/gimlet/30682240/2671795/www_android/project/cordova/lib/pluginHandlers.js:250:5) at install (/tmp/gimlet/30682240/2671795/www_android/project/cordova/lib/pluginHandlers.js:43:17) at Object.process (/tmp/gimlet/30682240/2671795/www_android/project/cordova/node_modules/cordova-common/src /ActionStack.js:56:25) at PluginManager.doOperation (/tmp/gimlet/30682240/2671795/www_android/project/cordova/node_modules/cordova-common/src /PluginManager.js:117:20) at PluginManager.addPlugin (/tmp/gimlet/30682240/2671795/www_android/project/cordova/node_modules/cordova-common/src /PluginManager.js:147:17) at /tmp/gimlet/30682240/2671795/www_android/project/cordova/Api.js:254:18 at _fulfilled (/tmp/gimlet/30682240/2671795/www_android/project/cordova/node_modules/q/q.js:834:54) at self.promiseDispatch.done (/tmp/gimlet/30682240/2671795/www_android/project/cordova/node_modules/q/q.js:863:30) at Promise.promise.promiseDispatch (/tmp/gimlet/30682240/2671795/www_android/project/cordova/node_modules/q/q.js:796:13) Uh oh! "/tmp/gimlet/30682240/2671795/www_android/project/cordova/plugins/cordova-sqlite-storage/ node_modules/cordova-sqlite-storage-dependencies/libs/sqlite-connector.jar" not found! - You can fix this here

       

       

      I have tried installing it in plugins and setting up the hook. I have also just downloading it through node.js command prompt, which set up my config.xml plugins directly... yet it still doesn't want to work. I am building this for android as well. Any help would be much appreciated. Thank you!